| The Gaudi Framework v29r1 (5cd95fa2)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

Classes | Functions
GaudiUtils::details Namespace Reference

## Classes
struct | IdentityOutputter

## Functions
template<typename Stream , typename Iterator , typename Separator , typename OutputElement = IdentityOutputter>
Stream & | ostream_joiner (Stream &os, Iterator first, Iterator last, Separator sep, OutputElement output=OutputElement{})
template<typename Stream , typename Container , typename Separator , typename OutputElement = IdentityOutputter>
Stream & | ostream_joiner (Stream &os, const Container &c, Separator sep, OutputElement output=OutputElement{})

## Function Documentation

template<typename Stream , typename Iterator , typename Separator , typename OutputElement = IdentityOutputter>

Stream& GaudiUtils::details::ostream_joiner | ( | Stream & | os,
|  | Iterator | first,
|  | Iterator | last,
|  | Separator | sep,
|  | OutputElement | output = `OutputElement{}`
| ) |  |

Definition at line 40 of file SerializeSTL.h.

41 {} )
42 {
43 if ( first != last ) {
44 output( os, *first );
45 ++first;
46 }
47 for ( ; first != last; ++first ) {
48 output( os << sep, *first );
49 }
50 return os;
51 }
gaudirun.output
output
Definition: gaudirun.py:404
template<typename Stream , typename Container , typename Separator , typename OutputElement = IdentityOutputter>

Stream& GaudiUtils::details::ostream_joiner | ( | Stream & | os,
|  | const Container & | c,
|  | Separator | sep,
|  | OutputElement | output = `OutputElement{}`
| ) |  |

Definition at line 54 of file SerializeSTL.h.

54 {} )
55 {
56 return ostream_joiner( os, std::begin( c ), std::end( c ), sep, output );
57 }
gaudirun.c
c
Definition: gaudirun.py:407
gaudirun.output
output
Definition: gaudirun.py:404
std::end
T end(T...args)
std::begin
T begin(T...args)
GaudiUtils::details::ostream_joiner
Stream & ostream_joiner(Stream &os, const Container &c, Separator sep, OutputElement output=OutputElement{})
Definition: SerializeSTL.h:54